# $Revision: 1.15 $, $Date: 2008/07/27 22:24:47 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Binary I/O stream class library
Summary(pl.UTF-8):	Biblioteka klas C++ dla strumieniowych binarnych operacji I/O
Name:		libbinio
Version:	1.4
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://dl.sourceforge.net/libbinio/%{name}-%{version}.tar.bz2
# Source0-md5:	517ded8c7ce9b3de0f84b1db74a2ebda
Patch0:		%{name}-infopage.patch
URL:		http://libbinio.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libstdc++-devel
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The binary I/O stream class library presents a platform-independent
way to access binary data streams in C++. The library is hardware
independent in the form that it transparently converts between the
different forms of machine-internal binary data representation. It
further employs no special I/O protocol and can be used on arbitrary
binary data sources.

%description -l pl.UTF-8
Biblioteka klas strumieniowych binarnych operacji wejścia/wyjścia
prezentuje niezależny od platformy sposób dostępu do binarnych
strumieni danych w C++. Biblioteka jest niezależna od sprzętu dzięki
temu, że w przezroczysty sposób wykonuje konwersję pomiędzy różnymi
postaciami reprezentacji danych binarnych w wewnętrznym formacie
maszyny. Co więcej, nie wykorzystuje żadnego specjalnego protokołu
wejścia/wyjścia i może być używana na dowolnych źródłach danych
binarnych.

%package devel
Summary:	Header files for libbinio library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libbinio
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for libbinio library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libbinio.

%package static
Summary:	Static libbinio library
Summary(pl.UTF-8):	Statyczna biblioteka libbinio
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libbinio library.

%description static -l pl.UTF-8
Statyczna biblioteka libbinio.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_pkgconfigdir}/*.pc
%{_infodir}/*.info*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libbinio.spec,v $
Revision 1.15  2008/07/27 22:24:47  arekm
- release 2

Revision 1.14  2008-01-24 01:36:33  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.13  2007-02-13 06:46:50  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.11  2006/05/28 09:38:52  qboosh
- just LGPL (v2.1+)

Revision 1.10  2006/05/28 09:05:56  qboosh
- adjusted infopage patch, BR: texinfo

Revision 1.9  2006/02/09 21:27:04  freetz
- 1.4

Revision 1.8  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.7  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.6  2005/06/15 15:42:35  witekfl
- added bcond_without static

Revision 1.5  2005/06/12 07:02:55  koorek
- reverted stupid commit

Revision 1.2  2005/02/15 18:39:51  qboosh
- pl, unified, -devel R: libstdc++-devel

Revision 1.1  2005/02/14 19:44:08  twittner
- new
